# RazorSQL

## Query, Edit, Browse, and Manage Databases

- razorsql.com
- Contact

# Create Procedure Tool

The Create Procedure Tool allows users to create stored procedures for a database.

The tool prompts the user to enter the number of parameters that will be contained in the stored procedure. The user then enters names of each of the parameters, and whether the parameters are in, out, or in/out parameters. The user also selects the data type of each parameter and the size if applicable.

Once all of the parameter information is entered, the create stored procedure tool generates the database specific SQL command to create the procedure in the currently connected database.

The following example is for MS SQL Server:
create procedure dbo.test_procedure (
@param1 char(25),
@param2 datetime,
@param3 int OUTPUT
)
as
--insert procedure body here

Listed below are the databases for which RazorSQL has a Create Procedure tool.

DB2 Create Procedure
Firebird Create Procedure
Informix Create Procedure
Ingres Create Procedure
MySQL Create Procedure
Oracle Create Procedure
MS SQL Server Create Procedure
SQL Anywhere Create Procedure
Sybase Create Procedure